# Uses of Class
org.opensaml.xmlsec.signature.impl.SignatureImpl

Packages that use SignatureImpl
Package
Description
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of SignatureImpl in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl with parameters of type SignatureImpl
Modifier and Type
Method
Description
`protected void`
SAMLSignatureProfileValidator.`validateSignatureImpl(SignatureImpl sigImpl)`
Validate an instance of `SignatureImpl`, which is in turn based on underlying Apache XML Security `XMLSignature` instance.